Page MenuHomePhabricator

Upgrade the production etcd cluster to 2.2
Closed, ResolvedPublic

Description

Upgrading from 2.0.x could be a shaky path; in fact etcd devs only guarantee a flawless transition if the upgrade is from 2.1:

https://github.com/coreos/etcd/blob/release-2.2/Documentation/upgrade_2_2.md

we should thoroughly test the upgrade path from our current version to 2.2 and maybe come up with alternative approaches like doing a dump and load with https://github.com/lavagetto/etcddump

Event Timeline

Joe created this task.Nov 17 2015, 8:43 AM
Joe raised the priority of this task from to Normal.
Joe updated the task description. (Show Details)
Joe added subscribers: yuvipanda, Matanya, Aklapper and 4 others.
Joe closed this task as Resolved.Jan 12 2016, 2:55 PM
Joe claimed this task.
Joe set Security to None.
BBlack moved this task from Triage to Done on the Traffic board.Jan 13 2016, 3:00 PM